#!/usr/bin/env Rscript     

#########################################################
# TASK: importing global variable for plotting
# import_dirs()
# other global variables
#########################################################

# import_dirs(): similar to mkdirs from python script in repo.
# input args: 'drug' and 'gene'
# output: dir names for input and output files

import_dirs <- function(drug_name, gene_name) {
  
  #============================
  # directories and variables
  #============================
  
  datadir        <<- paste0("~/git/Data/")
  indir          <<- paste0(datadir, drug_name, "/input")
  outdir         <<- paste0("~/git/Data/", drug_name, "/output")
  plotdir        <<- paste0("~/git/Data/", drug_name, "/output/plots")
  
  dr_muts_col    <<- paste0('dr_mutations_', drug_name)
  other_muts_col <<- paste0('other_mutations_', drug_name)
  resistance_col <<- "drtype"
  gene_match     <<- paste0(gene_name,"_p.")
  
}

# other globals
#===============================
# mcsm ligand distance cut off
#===============================
#mcsm_lig_cutoff <<- 10

#==================
# Angstroms symbol
#==================
angstroms_symbol <<- "\u212b"
#cat(paste0("There are ", nrow(my_df_u_lig), " sites lying within 10", angstroms_symbol, " of the ligand\n"))

#===============
# Delta symbol
#===============
delta_symbol <<- "\u0394"; delta_symbol

#==========
# Colours
#==========
mcsm_red2 <<-  "#ae301e" # most negative
mcsm_red1 <<-  "#f8766d"

mcsm_mid <<- "white" # middle

mcsm_blue1 <<- "#00bfc4"
mcsm_blue2 <<- "#007d85" # most positive
#########################################################
